<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <title>能辉</title>
    <meta name="decorator" content="base" />
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css" media="all">
    <style>
        .layui-card{box-shadow: none;}
        .layui-btn + .layui-btn {
            margin-left: 35px;
        }
    </style>
</head>
<body>

<div class="layui-fluid">
    <div class="layui-form layui-card">
        <div class="layui-tab  layui-tab-brief">
            <ul class="layui-tab-title">
                <sfTags:pagePermission authFlag="DSPYE_LSJXSSQ_LSJXSSQ_T" html='<li class="layui-this sf-tab"><a href="${ctx}/apply/priceCoefficient/priceCoefficientListPage">零售价系数申请</a></li>'/>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10 " type="reset"  onclick="reset()" >
                    <i class="layui-icon fs-12">&#xe9aa;</i>
                    重置
                </button>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10 " lay-submit lay-filter="LAY-user-back-search" data-type="reload">
                    <i class="layui-icon fs-12">&#xe615;</i>
                    查询
                </button>
            </ul>
        </div>
        <div class="layui-card-body" id="searchForm">
            <div class="layui-form-item">
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">申请编号：</label>
                    <div class="layui-input-block">
                        <input type="text" name="applyNumber" id="applyNumber" autocomplete="off" class="layui-input">
                    </div>
                </div>

                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">备注：</label>
                    <div class="layui-input-block">
                        <input type="text" name="remarks" id="remarks" autocomplete="off" class="layui-input">
                    </div>
                </div>


                <div class="layui-col-lg4 layui-col-sm6">
                    <label class="layui-form-label">申请时间：</label>
                    <div class="layui-input-block">
                        <div class="layui-col-xs5">
                            <input type="text" name="createTimeSta" id="createTimeSta" class="layui-input"  placeholder="开始日期">
                        </div>
                        <div class="layui-col-xs2 text-c lh-30">
                            —
                        </div>
                        <div class="layui-col-xs5">
                            <input type="text" name="createTimeEnd" id="createTimeEnd" class="layui-input"  placeholder="结束日期">
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <div class='layui-card'>
        <div class="layui-card-body">
            <table class="layui-hide" lay-skin="row" id="test" lay-filter="test"></table>
            <script type="text/html" id="toolbarDemo">
                <div class="layui-btn-container">
                    <sfTags:flowableAddPermission formId="${formId}" html='<button class="layui-btn layui-btn-sm" id="add" lay-event="add"><i class="layui-icon layui-icon-add-1"></i>新增</button>'/>
                    <button class="layui-btn layui-btn-sm" lay-event="export" id="exportBtn"><i class="layui-icon layui-icon-export"></i>导出</button>
                </div>
            </script>
        </div>
    </div>

</div>


<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script type="text/html" id="table-toolbar">
</script>

<script type="text/javascript">
    var table;
    var $;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laydate','form'], function(){
        $ = layui.jquery;
        tableExt = layui.tableExt;
        var layer = layui.layer;
        var laydate = layui.laydate;
        var  form = layui.form;
        table = tableExt.getLayTable();
        //开始日期
        var insStart = laydate.render({
            elem: '#createTimeSta'
            ,type: 'date'
            ,done: function(value, date){
                //更新结束日期的最小日期
                insEnd.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });
                //自动弹出结束日期的选择器
                insEnd.config.elem[0].focus();
            }
        });
        //结束日期
        var insEnd = laydate.render({
            elem: '#createTimeEnd'
            ,type: 'date'
            ,done: function(value, date){
                //更新开始日期的最大日期
                insStart.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });
            }
        });

        var deleteBtn = '${fns:checkPagePermission(request, "DSPYE_LSJXSSQ_LSJXSSQ_SC_T")}';

        tableExt.render({
            elem: '#test'
            ,toolbar : '#toolbarDemo'
            , height: 'full-160'
            ,defaultToolbar : false
            , limits : [ 20, 50, 100 ]
            , limit:20
            , page : true //开启分页
            ,url: '${ctx}/apply/priceCoefficient/listData'
            ,cols: [[
                {type: 'numbers',title:'序号',fixed:'left',exportable:true}
                ,{field:'id', title: '操作',align: 'center',fixed:'left',minWidth:150
                    ,templet:function(d){
                        var htm="";
                        if(d.status == '1' || d.status == '2'){
                            var fg=d.audit;
                            if("1"==fg){
                                htm+= '<a class="layui-table-opt-link" lay-event="audit">审批</a>&nbsp;&nbsp;';
                            }
                        }else if(d.status == '0' && d.create_by == '${userId}'){
                            htm+='<a class="layui-table-opt-link ml-10" lay-event="edit">编辑</a>&nbsp;&nbsp;';

                        }/*else if(d.status == '3'){
                            htm+='<a class="layui-table-opt-link" lay-event="delete">删除</a>';
                        }*/
                        if(d.status == '3' && deleteBtn == '0'){
                            htm+='<a class="layui-table-opt-link" lay-event="delete">删除</a>';
                        }
                        return htm;
                    }

                }
                , {
                    field: 'apply_number', title: '申请编号', align: 'center', fixed: 'left', width: 180, exportable: true
                    , templet: function (d) {
                        if(d.lookAuth=='1' || d.audit=='1'){
                            return "<a href=\"#\" class=\"layui-table-link \" style='font-size:14px;' onclick=\"lookDetail('" + d.id + "')\">" + d.apply_number + "</a>";
                        }else {
                            return d.apply_number;
                        }
                    }
                }
                , {field: 'task_name', title: '审批状态', align: 'center', fixed: 'left', width: 150, exportable: true}
                , {
                    field: 'materialTypeName',
                    title: '物料类型',
                    align: 'center',
                    fixed: 'left',
                    width: 180,
                    exportable: true
                }
                , {field: 'coefficient', title: '零售价系数', align: 'center', fixed: 'left', width: 180, exportable: true}
                , {field: 'create_name', title: '申请人', align: 'center', width: 150, exportable: true}
                , {field: 'departmentName', title: '所属部门', align: 'center', width: 180, exportable: true}
                , {field: 'remarks', title: '备注', align: 'center', width: 200, exportable: true}
                , {field: 'createTime', title: '申请时间', align: 'center', width: 250, exportable: true}

            ]]
            , done: function (res, curr, count) {

            }, exportOpt: {                           //导出选项配置
                ele: '#exportBtn',                   //导出的Dom元素
                headerTitle: '零售价系数申请列表',             //excel表格的标题
                pageData:false,                     //true:导出的数据为页面数据，false:最大导出maxAmount条数据
                maxAmount: 1000,                    //当pageData为false生效
                fileName: '零售价系数申请导出',
                where: function (){                 //当pageData为false时生效，过滤的条件
                    return _serializeJson($("#searchForm"));
                }
            }
        });

        //头工具栏事件
        table.on('toolbar(test)', function (obj) {
            switch (obj.event){
                case 'add':
                    layer.open({
                        title:'新增',
                        type: 2,
                        area: ["80%", "80%"],
                        content: '${ctx}/apply/priceCoefficient/addPriceCoefficientApplyPage'
                    })
                    break;

            }
        })

        //监听行工具事件
        table.on('tool(test)', function(obj){
            var data = obj.data;
            var id = data.id;
            if(obj.event === 'audit'){
                var taskId=data.task_id;
                console.log("<<<<"+taskId)
                layer.open({
                    title:'审批',
                    type: 2,
                    area: ["80%", "80%"],
                    content: '${ctx}/apply/priceCoefficient/priceCoefficientApplyDetail?id='+id+'&from=audit'
                })
            } else if(obj.event === 'delete'){
                layer.confirm('确认删除该流程？',{
                    btn: ['确定', '取消'],
                    success: function (layero, index) {
                        this.enterEsc = function (event) {
                            if (event.keyCode == 13 ) {
                                //确认  执行的代码
                                deletePriceApply(id);
                                //关闭弹窗
                                layer.close(index);
                                console.log("回车确认时事件")
                                //取消连续回车键，导致不断弹出询问框
                                $(':focus').blur();
                            }
                        };
                        //监听键盘事件
                        $(document).on('keydown', this.enterEsc);
                        //esc键触发取消
                        this.escQuit = (ev) => {
                            let code_val = ev.which;
                            if(code_val == 0x1B){
                                $('.layui-layer-btn1').click();
                                return false;
                            }
                        };
                        $(document).on('keydown', this.escQuit);
                    },
                    end: function () {
                        //取消键盘监听事件
                        $(document).off('keydown', this.enterEsc);
                        $(document).off('keydown', this.escQuit);
                    },
                    yes: function () {
                        //确认执行的代码
                        deletePriceApply(id);
                    },
                    no: function () {

                    }
                });
            } else if(obj.event === 'edit'){
                layer.open({
                    title:'编辑',
                    type: 2,
                    area: ["80%", "80%"],
                    content: '${ctx}/apply/priceCoefficient/editPriceCoefficientApplyPage?id='+id
                })
            }
        });

        //监听搜索
        form.on('submit(LAY-user-back-search)', function(data){
            var field = data.field;
            //执行重载
            table.reload('test', {
                where: field,
                page:{
                    curr:1
                }
            });
        });



    });

    function deletePriceApply(id){
        $.post('${ctx}/apply/priceCoefficient/deletePriceCoefficientApply', {id: id}, function(result){
            if("200" == result.code){
                layer.msg('操作成功', {time: 2000}, function () {
                    reload();
                });
            }else{
                layer.msg(result.errMsg);
            }
        });
    }


    function lookDetail(id){
        layer.open({
            title:'查看',
            type: 2,
            area: ["80%", "80%"],
            content: '${ctx}/apply/priceCoefficient/priceCoefficientApplyDetail?id='+id
        })
    }

    function reload(){
        table.reload('test', {
            page:{
                curr:1
            }
        });
    }

    function reset(){
        layui.form.render();
        $("#searchForm").find("select").val("");
        $("#searchForm").find("input").val("");
    }

</script>
</body>
</html>
